package util

import (
	"math/big"
)

func MustStringToBigInt(v string) *big.Int {
	if len(v) == 0 {
		return big.NewInt(0)
	}
	b, _ := big.NewInt(0).SetString(v, 10)
	return b
}

func MustAddStringToBigInt(v1, v2 string) *big.Int {
	b1 := MustStringToBigInt(v1)
	b2 := MustStringToBigInt(v2)
	return new(big.Int).Add(b1, b2)
}

func MustSubStringToBigInt(v1, v2 string) *big.Int {
	b1 := MustStringToBigInt(v1)
	b2 := MustStringToBigInt(v2)
	return new(big.Int).Sub(b1, b2)
}
